%define anolis_release 1

Summary:        Intrusion detection environment
Name:           aide
Version:        0.16
Release:        %{anolis_release}%{dist}

URL:            http://sourceforge.net/projects/aide
License:        GPLv2+

Source0:        https://github.com/aide/aide/releases/download/v0.16/aide-%{version}.tar.gz
Source1:        aide.conf
Source3:        aide.logrotate

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  bison flex
BuildRequires:  pcre-devel
BuildRequires:  libgpg-error-devel libgcrypt-devel
BuildRequires:  zlib-devel
BuildRequires:  libcurl-devel
BuildRequires:  libacl-devel
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(libattr)
BuildRequires:  e2fsprogs-devel
BuildRequires:  audit-libs-devel
BuildRequires:  autoconf automake libtool

Patch0001: 0001-aide-0.16b1-fipsfix.patch
Patch0002: 0002-aide-0.16-Use-LDADD-for-adding-curl-library-to-the-linker-comm.patch
Patch0003: 0003-aide-0.15-syslog-format.patch
Patch0004: 0004-aide-0.16-crypto-disable-haval-and-others.patch
Patch0005: 0005-coverity.patch
Patch0006: 0006-aide-0.16-crash-elf.patch
Patch0007: 0007-aide-configure-c99-1.patch
Patch0008: 0008-aide-configure-c99-2.patch
Patch0009: 0009-aide-configure-c99-3.patch

%description
AIDE (Advanced Intrusion Detection Environment) is a file integrity
checker and intrusion detection program.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure  \
  --disable-static \
  --with-config_file=%{_sysconfdir}/aide.conf \
  --with-gcrypt \
  --with-zlib \
  --with-curl \
  --with-posix-acl \
  --with-selinux \
  --with-xattr \
  --with-e2fsattrs \
  --with-audit
%make_build

%install
%make_install bindir=%{_sbindir}
install -Dpm0644 -t %{buildroot}%{_sysconfdir} %{S:1}
install -Dpm0644 %{S:3} %{buildroot}%{_sysconfdir}/logrotate.d/aide
mkdir -p %{buildroot}%{_localstatedir}/log/aide
mkdir -p -m0700 %{buildroot}%{_localstatedir}/lib/aide

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/aide
%{abidir}/aide-option.list
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/aide.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/aide
%dir %attr(0700,root,root) %{_localstatedir}/lib/aide
%dir %attr(0700,root,root) %{_localstatedir}/log/aide

%files doc
%doc AUTHORS ChangeLog NEWS README doc/manual.html contrib/

%changelog
* Tue Apr 04 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.16-1
- Init package from upstream
